### Method

# ClapperGtk Billboard pin_message

#### Declaration [src]

    void
    clapper_gtk_billboard_pin_message (
      ClapperGtkBillboard* billboard,
      const gchar* icon_name,
      const gchar* message
    )

#### Description [src]

Pins a permanent message on the `billboard`.

The message will stay on the `billboard` until a `clapper_gtk_billboard_unpin_pinned_message()` is called.

#### Parameters

`icon_name`

  Type: `const gchar*`

  An icon name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`message`

  Type: `const gchar*`

  A message text.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.